import request from '@/utils/request'

// 查询产线月产能定义列表
export function listCapacity(query) {
  return request({
    url: '/aps/product_line_capacity/list',
    method: 'get',
    params: query
  })
}

// 查询产线月产能定义详细
export function getCapacity(id) {
  return request({
    url: '/aps/product_line_capacity/' + id,
    method: 'get'
  })
}

// 新增产线月产能定义
export function addCapacity(data) {
  return request({
    url: '/aps/product_line_capacity',
    method: 'post',
    data: data
  })
}

// 修改产线月产能定义
export function updateCapacity(data) {
  return request({
    url: '/aps/product_line_capacity',
    method: 'put',
    data: data
  })
}

// 删除产线月产能定义
export function delCapacity(id) {
  return request({
    url: '/aps/product_line_capacity/' + id,
    method: 'delete'
  })
}
